GNU bug report logs - #16467
Diffutils 3.3 v. VMS (et al.)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: diffutils; Reported by: "Steven M. Schweda" <sms@HIDDEN>; Keywords: moreinfo; dated Thu, 16 Jan 2014 16:53:01 UTC; Maintainer for diffutils is bug-diffutils@HIDDEN.

Message received at 16467 <at> debbugs.gnu.org:


Received: (at 16467) by debbugs.gnu.org; 1 May 2016 02:51:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 22:51:50 2016
Received: from localhost ([127.0.0.1]:58954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1awhU6-0004gD-JG
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2016 22:51:50 -0400
Received: from mail-ob0-f169.google.com ([209.85.214.169]:33990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <meyering@HIDDEN>) id 1awhU5-0004fz-3L
 for 16467 <at> debbugs.gnu.org; Sat, 30 Apr 2016 22:51:49 -0400
Received: by mail-ob0-f169.google.com with SMTP id dm5so8055747obc.1
 for <16467 <at> debbugs.gnu.org>; Sat, 30 Apr 2016 19:51:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:from:date:message-id:subject:to;
 bh=xCsDPZSwX+rg86qnApZxKmhCze0hKHVvOSF0un5eMnI=;
 b=KKeBWhZp1pGOhWDQk/9nyiu1ChU+R2D0a6Ir0lg2Az7ZgfuqMfVU4m8N9ZJDAb0WtM
 /j5C+y8pA+DfBdgHSoWjK2Qub6yySPX66awLKNUSiC8LJnp+goqJpxT98vLWqw9kIg7U
 D4QrfdIatI1BNbFy5yCUqJatCLiyWpxVIBpMWJbD6+RbxqH5+9ZcvoS64QR8EtZNRNyJ
 GGsrCWkRsxSuyz39WcxS8GjaMR+dTxmXFeyP/3B0PP1KN8Rt471wB0PVSz15LMqlV+4e
 vuiy9ztTJfmsF0VjGw5/kxy04iqYjCazyJSWr5+ewkS5k1ISOEnIuLgf1/8X/1xtkuym
 jtdQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:from:date:message-id:subject
 :to; bh=xCsDPZSwX+rg86qnApZxKmhCze0hKHVvOSF0un5eMnI=;
 b=L0vw6vgF8cKBDe6PR0Raa30uCyDf7O1usLEAusLpqvu/anF3zu+v5pB0ogs9nQUeZQ
 GyWFCMjcO6kN5mio5vDCe+fHOLptqANTZm+lvRAZB4TbF7h6FbISugBFeEsqBFQ0g6NU
 JsS5lonidBfy6gvtNNdGEMftyMHUURrmliEZNE59TISJmI1K5DMTAaixtGKYm4QyHML+
 EWHuBrpYxkln4M5v6H738JoAFNpE4FCa2qmsUZkFYG1asJg/U5Br3Cn/+31Xft8miyM3
 Z1cbPvFHRzdCbMaYfbj3JX/mC8CqPuC9XoQAKiXR8iynfPheMRse1eKmFtPyXYNB9BdW
 mFpA==
X-Gm-Message-State: AOPr4FUx2iZi6eSKTm9faXfQ1hQ9VlDOhajq5oN5JD6tDbm4ncDW/Jc0aW4sR2vYwEPPPDH6WIe1OwTkPhXP2g==
X-Received: by 10.60.60.102 with SMTP id g6mr12367478oer.25.1462071103558;
 Sat, 30 Apr 2016 19:51:43 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.202.175.193 with HTTP; Sat, 30 Apr 2016 19:51:23 -0700 (PDT)
From: Jim Meyering <jim@HIDDEN>
Date: Sat, 30 Apr 2016 19:51:23 -0700
X-Google-Sender-Auth: s3FveTTY6-UT7Ol4Vcb4Uda52ss
Message-ID: <CA+8g5KHQrPrnVuYs+pmOJX0HBXXy0W1ryetuLgUEJQnBwdh7tw@HIDDEN>
Subject: Re: [bug-diffutils] bug#16467: Diffutils 3.3 v. VMS (et al.)
To: 16467 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 16467
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

close 16467
done

By the above, I've closed this issue.
If it's still a problem, please let us know (reply to
this thread with details) and I'll be happy to reopen it.




Information forwarded to bug-diffutils@HIDDEN:
bug#16467; Package diffutils. Full text available.
Added tag(s) moreinfo. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 16467 <at> debbugs.gnu.org:


Received: (at 16467) by debbugs.gnu.org; 16 Jan 2014 21:05:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 16:05:26 2014
Received: from localhost ([127.0.0.1]:54044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W3u7y-000551-JD
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2014 16:05:26 -0500
Received: from smtp.cs.ucla.edu ([131.179.128.62]:52029)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1W3u7w-00054t-Q2
 for 16467 <at> debbugs.gnu.org; Thu, 16 Jan 2014 16:05:25 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 72C7C39E8011;
 Thu, 16 Jan 2014 13:05:24 -0800 (PST)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id H7PyqIczUezR; Thu, 16 Jan 2014 13:05:24 -0800 (PST)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 1149D39E8008;
 Thu, 16 Jan 2014 13:05:24 -0800 (PST)
Message-ID: <52D84993.7090207@HIDDEN>
Date: Thu, 16 Jan 2014 13:05:23 -0800
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.2.0
MIME-Version: 1.0
To: "Steven M. Schweda" <sms@HIDDEN>, 16467 <at> debbugs.gnu.org
Subject: Re: [bug-diffutils] bug#16467: Diffutils 3.3 v. VMS (et al.)
References: <14011608065233_202014DB@HIDDEN>
In-Reply-To: <14011608065233_202014DB@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 16467
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On 01/16/2014 06:06 AM, Steven M. Schweda wrote:
>    I normally build diffutils on a Tru64 UNIX system using the
> vendor-supplied C compiler, which resembles the vendor-supplied C
> compiler on VMS.  (Then I hand-edit the resulting config.h for use on
> VMS.)  On Tru64, I ran into the previously reported "make check" failure
> caused by the too-modern "export var=value" stuff in that "make" file.

Sorry, I've forgotten which failure that was.  Is it fixed
in the git master now?  Or do you have a URL for the bug?

> After getting past that problem, I was stopped by not having the exactly
> correct version (1.13a) of automake.  Perhaps there's some simple
> wark-around for that, but the error message I got did not lead me to it.
> Is "make check" intended only for serious developers, or should any peon
> expect to be able to make it work starting from a simple source kit?

If you start from a tarball distribution and don't change
it, 'make check' should not require the use of 'automake'
(and if it does so I'd like to see how to reproduce the
bug).  'automake' should be required only if you're a
developer building from the git master, or if you are
editing the source code in the tarball.





Information forwarded to bug-diffutils@HIDDEN:
bug#16467; Package diffutils. Full text available.

Message received at 16467 <at> debbugs.gnu.org:


Received: (at 16467) by debbugs.gnu.org; 16 Jan 2014 21:04:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 16:04:40 2014
Received: from localhost ([127.0.0.1]:54040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W3u7E-00053Y-3B
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2014 16:04:40 -0500
Received: from smtp.cs.ucla.edu ([131.179.128.62]:51981)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1W3u7B-00053N-It
 for 16467 <at> debbugs.gnu.org; Thu, 16 Jan 2014 16:04:38 -0500
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 9CE0939E8015;
 Thu, 16 Jan 2014 13:04:36 -0800 (PST)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id G6SzxU8F4tSU; Thu, 16 Jan 2014 13:04:34 -0800 (PST)
Received: from penguin.cs.ucla.edu (Penguin.CS.UCLA.EDU [131.179.64.200])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id E8F3B39E8011;
 Thu, 16 Jan 2014 13:04:34 -0800 (PST)
Message-ID: <52D84962.9010503@HIDDEN>
Date: Thu, 16 Jan 2014 13:04:34 -0800
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.2.0
MIME-Version: 1.0
To: "Steven M. Schweda" <sms@HIDDEN>, 16467 <at> debbugs.gnu.org
Subject: Re: [bug-diffutils] bug#16467: Diffutils 3.3 v. VMS (et al.)
References: <14011608065233_202014DB@HIDDEN>
In-Reply-To: <14011608065233_202014DB@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 16467
Cc: Bug-gnulib <bug-gnulib@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

On 01/16/2014 06:06 AM, Steven M. Schweda wrote:

> The C macro HAVE_DECL_STRTOLL is still used in lib/strtoimax.c, but
> seems to have disappeared from the Tru64-generated config.h.  My fault
> or yours?

I think it's a gnulib bug.  We don't run into compilers lacking
'long long' often nowadays, so I'm not surprised the bug is there.

I pushed the following patch to gnuliband am cc'ing to bug-gnulib.
Does this fix the problem for you?

---
 ChangeLog       | 11 +++++++++++
 lib/strtoimax.c | 16 ++++++++++------
 2 files changed, 21 insertions(+), 6 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 9a9f00b..ebfba06 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,14 @@
+2014-01-16  Paul Eggert  <eggert@HIDDEN>
+
+    strtoimax: port to platforms lacking 'long long'
+    VMS's pre-C99 compiler lacks 'long long', so 'configure' doesn't
+    check whether strtoll is declared, which causes the C file to
+    wrongly report an error.  Problem reported by Steven M. Schweda in:
+    http://lists.gnu.org/archive/html/bug-diffutils/2014-01/msg00003.html
+    * lib/strtoimax.c (strtoull):
+    Declare only if HAVE_UNSIGNED_LONG_LONG_INT.
+    (strtoll): Declare only if HAVE_LONG_LONG_INT.
+
 2014-01-16  Daniel Albers  <daniel@HIDDEN>  (tiny change)
 
     relocatable-perl: fix texi syntax
diff --git a/lib/strtoimax.c b/lib/strtoimax.c
index 219ebaf..2c33d58 100644
--- a/lib/strtoimax.c
+++ b/lib/strtoimax.c
@@ -28,20 +28,24 @@
 #include "verify.h"
 
 #ifdef UNSIGNED
-# ifndef HAVE_DECL_STRTOULL
+# if HAVE_UNSIGNED_LONG_LONG_INT
+#  ifndef HAVE_DECL_STRTOULL
 "this configure-time declaration test was not run"
-# endif
-# if !HAVE_DECL_STRTOULL && HAVE_UNSIGNED_LONG_LONG_INT
+#  endif
+#  if !HAVE_DECL_STRTOULL
 unsigned long long int strtoull (char const *, char **, int);
+#  endif
 # endif
 
 #else
 
-# ifndef HAVE_DECL_STRTOLL
+# if HAVE_LONG_LONG_INT
+#  ifndef HAVE_DECL_STRTOLL
 "this configure-time declaration test was not run"
-# endif
-# if !HAVE_DECL_STRTOLL && HAVE_LONG_LONG_INT
+#  endif
+#  if !HAVE_DECL_STRTOLL
 long long int strtoll (char const *, char **, int);
+#  endif
 # endif
 #endif
 
-- 
1.8.4.2






Information forwarded to bug-diffutils@HIDDEN:
bug#16467; Package diffutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jan 2014 16:52:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 16 11:52:06 2014
Received: from localhost ([127.0.0.1]:53879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1W3qAn-0006JZ-At
	for submit <at> debbugs.gnu.org; Thu, 16 Jan 2014 11:52:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55186)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sms@HIDDEN>) id 1W3ndU-0001lh-8X
 for submit <at> debbugs.gnu.org; Thu, 16 Jan 2014 09:09:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sms@HIDDEN>) id 1W3ndL-0003zP-IW
 for submit <at> debbugs.gnu.org; Thu, 16 Jan 2014 09:09:31 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57659)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sms@HIDDEN>) id 1W3ndL-0003zK-G5
 for submit <at> debbugs.gnu.org; Thu, 16 Jan 2014 09:09:23 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56764)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sms@HIDDEN>) id 1W3ndB-0005hY-RM
 for bug-diffutils@HIDDEN; Thu, 16 Jan 2014 09:09:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sms@HIDDEN>) id 1W3nd5-0003vB-Lr
 for bug-diffutils@HIDDEN; Thu, 16 Jan 2014 09:09:13 -0500
Received: from alp.antinode.info ([209.98.249.184]:16819)
 by eggs.gnu.org with smtp (Exim 4.71)
 (envelope-from <sms@HIDDEN>) id 1W3nd5-0003qM-Cn
 for bug-diffutils@HIDDEN; Thu, 16 Jan 2014 09:09:07 -0500
Date: Thu, 16 Jan 2014 08:06:52 -0600 (CST)
Message-Id: <14011608065233_202014DB@HIDDEN>
From: "Steven M. Schweda" <sms@HIDDEN>
To: bug-diffutils@HIDDEN
Subject: Diffutils 3.3 v. VMS (et al.)
X-VMS-To: SMTP%"bug-diffutils@HIDDEN"
X-VMS-Cc: SMS
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 16 Jan 2014 11:52:03 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

   I normally build diffutils on a Tru64 UNIX system using the
vendor-supplied C compiler, which resembles the vendor-supplied C
compiler on VMS.  (Then I hand-edit the resulting config.h for use on
VMS.)  On Tru64, I ran into the previously reported "make check" failure
caused by the too-modern "export var=value" stuff in that "make" file. 
After getting past that problem, I was stopped by not having the exactly
correct version (1.13a) of automake.  Perhaps there's some simple
wark-around for that, but the error message I got did not lead me to it. 
Is "make check" intended only for serious developers, or should any peon
expect to be able to make it work starting from a simple source kit?

   Ignoring the lack of "make check" results, I tried to build the code
on VMS, making source changes like the now-familiar ones reported for
version 3.2 to deal with the VMS quirks, but I ran into one new problem:
The C macro HAVE_DECL_STRTOLL is still used in lib/strtoimax.c, but
seems to have disappeared from the Tru64-generated config.h.  My fault
or yours?

------------------------------------------------------------------------

   Steven M. Schweda               sms@antinode-info
   382 South Warwick Street        (+1) 651-699-9818
   Saint Paul  MN  55105-2547




Acknowledgement sent to "Steven M. Schweda" <sms@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-diffutils@HIDDEN. Full text available.
Report forwarded to bug-diffutils@HIDDEN:
bug#16467; Package diffutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 1 May 2016 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.